For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETGet Order
            • PUTUpdate Order
            • PUTReassign Orders to Different Company
            • GETList Order Products
            • PUTAssign Customer Orders to Company
            • GETList Order Extra Field Configs
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementOrders

List Order Extra Field Configs

GET
https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields
GET
/api/v3/io/orders/extra-fields
$curl https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "code": 1,
3 "data": [
4 {
5 "id": 9798,
6 "uuid": 123456,
7 "fieldName": "Fintech ID",
8 "fieldType": 0,
9 "isRequired": true,
10 "isUnique": false,
11 "visibleToEnduser": true,
12 "configType": 2,
13 "defaultValue": "Enter your Fintech ID here.",
14 "labelName": "Fintech ID",
15 "maximumLength": 100,
16 "numberOfRows": 5,
17 "maximumValue": 1000,
18 "listOfValues": [
19 [
20 "Retail",
21 "Automotive",
22 "Manufacturing"
23 ]
24 ]
25 }
26 ],
27 "meta": {
28 "pagination": {
29 "totalCount": 100,
30 "limit": 10,
31 "offset": 0
32 },
33 "message": "SUCCESS"
34 }
35}
Returns a list of available extra fields configurations for B2B orders. We recommend caching the response results to avoid frequent API requests.
Was this page helpful?
Previous

Assign Customer Orders to Company

Next

Payments

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

limitintegerOptional1-200Defaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptional>=0Defaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
datalist of objects
metaobject